//CFTTLocalNotification - [2020-04-13 11:57:46]
#ifndef _CFTTLOCALNOTIFICATION_H_
#define _CFTTLOCALNOTIFICATION_H_

#include "common.h"

/*
00265E30 CFTTLocalNotification::Initialise()
00265E48 CFTTLocalNotification::Reset()
00265E60 CFTTLocalNotification::OpenSettings()
00265E64 CFTTLocalNotification::HavePermissions()
00265E68 CFTTLocalNotification::GetPermissions(bool)
00265E6A CFTTLocalNotification::AddNotification(int,int,int,int,char *,int,int (*)(int,int),ENotificationType,bool,bool)
00265EA0 CFTTLocalNotification::AddNotification(int,int,int,int,char *,int,bool (*)(),bool,ENotificationType,bool,bool)
00265ED4 CFTTLocalNotification::AddRepeatNotification(long,long,int,char *,int,bool,bool)
00265F2A CFTTLocalNotification::GetNotificationTime(int)
00265F2E CFTTLocalNotification::GetNotificationReward(int)
00265F32 CFTTLocalNotification::GetNotificationType(int)
00265F36 CFTTLocalNotification::DeleteNotification(int)
00265F3A CFTTLocalNotification::DeleteAllNotifications(bool)
00265F4E CFTTLocalNotification::SendStoredNotifications()
*/

enum ENotificationType {
  ENotificationType_0,
  ENotificationType_1,
  ENotificationType_2,
  ENotificationType_3,
  ENotificationType_4,
  ENotificationType_5,
  ENotificationType_6,
  ENotificationType_7,
  ENotificationType_8,
};

class CFTTLocalNotification {
public:
  //00265E30
  void Initialise();

  //00265E48
  void Reset();

  //00265E60
  void OpenSettings();

  //00265E64
  void HavePermissions();

  //00265E68
  void GetPermissions(bool);

  //00265E6A
  static void AddNotification(int, int, int, int, char *, int, int (*)(int, int), ENotificationType, bool, bool);

  //00265EA0
  void AddNotification(int, int, int, int, char *, int, bool (*)(), bool, ENotificationType, bool, bool);

  //00265ED4
  static void AddRepeatNotification(long, long, int, char *, int, bool, bool);

  //00265F2A
  void GetNotificationTime(int);

  //00265F2E
  void GetNotificationReward(int);

  //00265F32
  void GetNotificationType(int);

  //00265F36
  void DeleteNotification(int);

  //00265F3A
  void DeleteAllNotifications(bool);

  //00265F4E
  void SendStoredNotifications();
};

#endif  //_CFTTLOCALNOTIFICATION_H_